### Method

# Gtk Stackadd_named

#### Declaration [src]

    GtkStackPage*
    gtk_stack_add_named (
      GtkStack* stack,
      GtkWidget* child,
      const char* name
    )

#### Description [src]

Adds a child to `stack`.

The child is identified by the `name`.

#### Parameters

`child`

  Type: `GtkWidget`

  The widget to add.

  The data is owned by the caller of the method.

`name`

  Type: `const char*`

  The name for `child`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkStackPage`

The `GtkStackPage` for `child`.

The data is owned by the instance.